import { StyleSheet } from "react-native";
import {
  appColors,
  appFonts,
  fontSizes,
  windowHeight,
  windowWidth,
} from "@src/themes";

const styles = StyleSheet.create({
  dropView: {
    alignItems: "center",
    justifyContent: "space-between",
    marginTop: windowHeight(12),
    backgroundColor: appColors.whiteColor,
    paddingHorizontal: windowHeight(15),
    paddingVertical: windowHeight(15),
    borderRadius: windowHeight(15),
    borderWidth: windowHeight(0.42),
    borderColor: appColors.go,
  },
  datetimeView: {
    backgroundColor: appColors.whiteColor,
    marginTop: windowHeight(13),
    paddingHorizontal: windowHeight(15),
    paddingBottom: windowHeight(9),
    borderRadius: windowHeight(15),
    borderWidth: windowHeight(0.42),
    borderColor: appColors.go,
  },
  datetimeText: {
    color: appColors.primaryText,
    fontFamily: appFonts.medium,
    marginTop: windowHeight(12),
  },
  row: {
    justifyContent: "space-between",
  },
  clockBtn: {
    borderColor: appColors.border,
    borderRadius: windowHeight(35),
    width: "47.5%",
    alignItems: "center",
    backgroundColor: appColors.whiteColor,
    marginTop: windowHeight(10),
    height: windowHeight(40),
    borderWidth: windowHeight(1.3),
  },
  paddingHr: {
    marginHorizontal: windowHeight(13),
  },
  timeText: {
    color: appColors.primaryText,
    fontFamily: appFonts.medium,
    right: windowHeight(8),
    top: windowHeight(1),
    marginHorizontal: windowWidth(5),
  },
  tripMainView: {
    backgroundColor: appColors.whiteColor,
    marginVertical: windowHeight(13.9),
    paddingHorizontal: windowHeight(13),
    alignItems: "center",
    width: "100%",
    borderRadius: windowHeight(15),
    borderWidth: windowHeight(0.42),
    borderColor: appColors.go,
    paddingVertical: windowHeight(8),
  },
  tripSubView: {
    width: "85%",
    height: windowHeight(48),
    justifyContent: "space-evenly",
    paddingVertical: windowHeight(2),
  },
  tripText: {
    color: appColors.blackColor,
    fontFamily: appFonts.medium,
  },
  noDriverText: {
    color: appColors.regularText,
    fontFamily: appFonts.regular,
    fontSize: fontSizes.FONT17,
  },
  switchView: {
    justifyContent: "center",
    width: "15%",
  },
  FindView: {
    width: "100%",
    alignItems: "center",
    position: "absolute",
    bottom: windowHeight(10),
  },
  searchView: {
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(40),
    width: windowHeight(40),
    height: windowHeight(40),
    borderColor: appColors.lightGray,
    backgroundColor: appColors.whiteColor,
  },
  findBtn: {
    height: windowHeight(40),
    backgroundColor: appColors.primary,
    marginHorizontal: windowWidth(15),
    borderRadius: windowHeight(5),
    alignItems: "center",
    justifyContent: "center",
  },
  findText: {
    color: appColors.whiteColor,
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT20,
  },
  calenderView: {
    paddingHorizontal: windowWidth(18),
  },
  inputMainView: {
    marginHorizontal: windowWidth(18),
  },
  con: {
    marginTop: windowHeight(12),
    backgroundColor: appColors.whiteColor,
    paddingVertical: windowHeight(15),
    borderRadius: windowHeight(15),
    borderWidth: windowHeight(0.42),
    borderColor: appColors.go,
    paddingTop: windowHeight(10),
  },
  line: {
    height: windowHeight(4),
    width: "100%",
    backgroundColor: appColors.loaderPrimary,
    marginVertical: windowHeight(4),
  },
});

export default styles;
